## ros-noetic-fkie-multimaster 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fkie_multimaster)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-fkie-multimaster (1.3.2-2focal) focal; urgency=high

  * fkie_multimaster_msgs: fix for installing generated grpc files when building Debian package
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sat, 16 Jul 2022 22:00:00 -0000

ros-noetic-fkie-multimaster (1.3.1-2focal) focal; urgency=high

  * fkie_multimaster_msgs: fix python3 dependency
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-multimaster (1.3.0-2focal) focal; urgency=high

  * fkie_node_manager_damoen: fix clear_param for group
    These parameter are now deleted on restart nodes with reload global
    parameter
  * fkie_node_manager_daemon: fix find package binaries
  * fkie_node_manager_daemon: use threads for each sensor instead of timer
  * fkie_node_manager_daemon: set GRPC_ENABLE_FORK_SUPPORT=0 by default
  * fkie_node_manager_daemon: added parameter to set grpc poll strategy and verbosity
  * fkie_node_manager: fixed deselect nodes while start nodes on other host
  * fkie_node_manager: show kill button for nodes without valid PID, too
  * fkie_node_manager: editor: do not close editor on ESC
  * fkie_node_manager: fixed bug with changed master selection after reload launch files
  * fkie_node_manager: added output for detected ROS Master URI
  * fkie_node_manager: fix restart system nodes after set time and answer 'no'
  * fkie_node_manager: fix restart system nodes after set time and answer 'no'
  * fkie_node_manager: fix restart system nodes after set time
  * Use more conservative terminal emulator parameters
    This should make the x-terminal-emulator call more compatible with
    different types of terminals
  * fkie_node_manager: remove binaries in src path if multiple executables are found
  * fkie_multimaster_fkie: added python3 dependencies
  * fkie_node_manager: filter binaries from src directory if more then one executable found
  * fkie_node_manager: use find_resource insteadof find_node to get executable nodes
  * fkie_node_manager: fixed remote start using reduced_nm module
  * fkie_node_manager: fixed a bug while comment/uncomment of last line
    added Switch comment to context menu
  * fkie_node_manager: fixed save gui setting on exit if stop master was selected
  * fkie_node_manager: restart system nodes after set time
  * fkie_node_manager: added option 'start daemon' to start dialog
  * fkie_node_manager: fix for visualization of nodes with and without capability groups
  * fkie_node_manager: retain selected node after reload a configuration
  * fkie_node_manager: fixed missed text in editor after reload changed launch file
  * fkie_node_manager: requests for name resolution
  * fkie_node_manager: changed exception handling in name resolution
  * check for pid before execute
  * fkie_node_manager: fix kill on stop every node
  * fkie_node_manager: go to search result on item selection
  * fkie_node_manager: fix error on stop nodes
  * fkie_node_manager: force kill if kill_on_stop is defined
  * fkie_node_manager: fixed not compatible python2 code
  * fkie_node_manager: fixed error in noetic, see issue #160 <https://github.com/fkie/multimaster_fkie/issues/160>
  * fkie_node_manager: fixed view of synced nodes
  * fkie_node_manager: added links for roslog and screen log in the node description
  * fkie_node_manager: fixed stop all nodes on exit
    removed warning about connection refused after shutdown call on the
    XMLRPC API of the node
  * fkie_node_manager: echo dialog: added message file checkbox for quick access
  * fkie_node_manager: changed requests for diagnostic messages to avoid multiple messages if sync is enabled
  * fkie_node_manager: fix for visualization in environments with ROS_IP
  * fkie_node_manager: fixed crash on daemon exception
  * fkie_node_manager: added throttle daemon error output
  * fkie_node_manager: added info to a host if no quality is available
  * fkie_node_manager: fixed threaded call to get remote user
  * fkie_node_manager: do not block on username request
  * fkie_node_manager: add nodes to view with not reachable nodeuri
  * fkie_node_manager: fixed resize of control buttons
  * fkie_node_manager: changed terminal detection
  * fkie_node_manager: fix remote log view
  * fkie_node_manager: increased the update rate for analysis of diagnostic messages
  * fkie_node_manager: set text selectable in parameter dialog
  * fkie_node_manager: renamed parameter
    Open screen on activate -> Use internal log widget
  * fkie_node_manager: changed question behaviour on changed binaries
  * fkie_node_manager: fixed 'Open screen on activate' option
  * fkie_node_manager: open log file in new terminal or dock widget depending on new parameter
    new parameter: Open screen on activate
  * added 'Open screen on activate' parameter
  * fkie_node_manager: stop/restart only filtered nodes
  * fkie_node_manager: changed state visualization of running nodes
  * fkie_node_manager: resize control buttons
  * fkie_node_manager: fixed propagation of node states to parent groups
  * fkie_node_manager: fixed visualization of remote nodes connected to local master using ROS_MASTER_URI
  * fkie_node_manager: reduce control buttons on size change
  * fkie_node_manager: fixed crash after change of configuration
  * added detection if master and daemon a launched with different user
  * changed handling of the diagnostics level in group view
  * fixed remote start of roscore
  * added label for host name in launch widget
  * added host highlighting in launch editor
  * deselect all log level after change
  * sort logger level
  * fixed change all loglevel
  * fkie_node_manager: update logger before they are available
  * fixed param sync
  * fkie_master_sync: convert diagnostic value to string
  * fkie_master_sync: fix value error while prepare diagnostic report
  * fkie_master_sync: fixed debug output


=== debian/control ===
Source: ros-noetic-fkie-multimaster
Section: misc
Priority: optional
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/fkie_multimaster
Standards-Version: 3.9.2

Package: ros-noetic-fkie-multimaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fkie-master-discovery, ros-noetic-fkie-master-sync, ros-noetic-fkie-multimaster-msgs, ros-noetic-fkie-node-manager, ros-noetic-fkie-node-manager-daemon
Description: The metapackage to combine the nodes required to establish and manage a multimaster network.
 This requires no or minimal configuration. The changes are automatically detected and synchronized.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fkie-multimaster//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
